
QGIS Application - Bug report #16500

QML style is not applied to a specific raster layer

2017-05-02 04:29 PM - dr -

Status: Feedback

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24406

Description

1) Open QGIS and add raster layer hrsl_bfa.tif

2) Properties - Style - Style - Load Style - qml/hrsl_bfa.qml. Layer appearance is changed at canvas. But when you click Apply - canvas

becomes black.

Dataset: https://www.dropbox.com/s/lt595zahtlpnuhv/hrsl_bfa.zip?dl=0

History

#1 - 2017-05-03 11:44 AM - Giovanni Manghi

- Operating System deleted (Ubuntu)

- Subject changed from QML style is not applied to raster layer to QML style is not applied to a specific raster layer

True.

Is also true that this happens for the specific linked raster, not in general.

On QGIS 2.14/2.18 trying opening the raster properties returns

std::bad_alloc

while on master properties open as expected.

I tried recreate the overviews and translate the raster with gdal at no avail.

#2 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
